<?php

namespace Drupal\ww_publish\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBase;

/**
 * Defines the SNS message entity.
 *
 * @ConfigEntityType(
 *   id = "ww_publish_sns_message",
 *   label = @Translation("SNS message"),
 *   module = "ww_publish",
 *   config_prefix = "ww_publish_sns_message",
 *   handlers = {
 *     "list_builder" = "Drupal\ww_publish\SnsMessageListBuilder",
 *     "form" = {
 *       "add" = "Drupal\ww_publish\Form\SnsMessageForm",
 *       "edit" = "Drupal\ww_publish\Form\SnsMessageForm",
 *       "delete" = "Drupal\ww_publish\Form\SnsMessageDeleteForm",
 *     }
 *   },
 *   admin_permission = "administer site configuration",
 *   entity_keys = {
 *     "id" = "id",
 *   },
 *   links = {
 *     "edit" = "/admin/config/services/ww-publish/sns-messages/{ww_publish_sns_message}",
 *     "delete" = "/admin/config/services/ww-publish/sns-messages/{ww_publish_sns_message}/delete",
 *     "collection" = "/admin/config/services/ww-publish/sns-messages",
 *   },
 *   config_export = {
 *     "id",
 *     "name",
 *     "url",
 *     "metadata_url",
 *     "article_json_url",
 *     "tenant_id",
 *     "brand",
 *     "executed",
 *   }
 * )
 */
class SnsMessageEntity extends ConfigEntityBase implements TemplateEntityInterface {

  /**
   * ID of the SNS message.
   *
   * The ID
   *
   * @var string
   */
  public $id = NULL;

  /**
   * Name of the SNS message.
   *
   * @var string
   */
  public $name = NULL;

  /**
   * URL.
   *
   * @var string
   */
  public $url = NULL;

  /**
   * Metadata URL.
   *
   * @var string
   */
  public $metadata_url = NULL;

  /**
   * Article JSON URL.
   *
   * @var string
   */
  public $article_json_url = NULL;

  /**
   * Tenant ID.
   *
   * @var string
   */
  public $tenant_id = NULL;

  /**
   * Brand.
   *
   * @var string
   */
  public $brand = NULL;

  /**
   * Executed.
   *
   * @var string
   */
  public $executed = FALSE;


}
